> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook



## OpenAPI

````yaml /api-reference/openapi.json post /v1/webhooks
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/webhooks:
    post:
      tags:
        - webhooks
      summary: Create Webhook
      operationId: create_webhook_v1_webhooks_post
      parameters:
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookCreated'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookCreate:
      properties:
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
        events:
          items:
            type: string
          type: array
          minItems: 1
          title: Events
        enabled:
          type: boolean
          title: Enabled
          default: true
      type: object
      required:
        - url
        - events
      title: WebhookCreate
    WebhookCreated:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
        enabled:
          type: boolean
          title: Enabled
        created_at:
          type: string
          format: date-time
          title: Created At
        secret:
          type: string
          title: Secret
      type: object
      required:
        - id
        - org_id
        - url
        - events
        - enabled
        - created_at
        - secret
      title: WebhookCreated
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````